<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
<!--    <distributionManagement>-->
<!--        <repository>-->
<!--            <id>nexus-releases</id>-->
<!--            <name>Nexus Release Repository</name>-->
<!--            <url>http://192.168.1.13:8001/nexus/content/repositories/releases/</url>-->
<!--        </repository>-->
<!--        <snapshotRepository>-->
<!--            <id>nexus-snapshots</id>-->
<!--            <name>Nexus Snapshot Repository</name>-->
<!--            <url>http://192.168.1.13:8001/nexus/content/repositories/snapshots/</url>-->
<!--        </snapshotRepository>-->
<!--    </distributionManagement>-->
    <groupId>com.njcn</groupId>
    <artifactId>system</artifactId>
    <version>1.0-SNAPSHOT</version>
    <modules>
        <module>pqs9900</module>
        <module>pqs9200</module>
        <module>pqs9000</module>
        <module>comService</module>
        <module>sso</module>
        <module>shiningCloud</module>
        <module>pqs9300</module>
    </modules>
    <packaging>pom</packaging>

    <name>system</name>
    <url>http://maven.apache.org</url>


    <!--确认引入包的版本-->
    <properties>
        <!--项目建设环境编码格式 -->
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <!--spring依赖版本 -->
        <spring.version>5.2.9.RELEASE</spring.version>
        <!-- https://mvnrepository.com/artifact/javax.websocket/javax.websocket-all -->
        <javaee-api.version>7.0</javaee-api.version>
        <!--commons依赖版本-->
        <commons-lang3.version>3.5</commons-lang3.version>
        <commons-io.version>2.2</commons-io.version>
        <!--shiro-all依赖版本-->
        <shiro-all.version>1.10.0</shiro-all.version>
        <!--redis客户端依赖版本-->
        <jedis.version>2.8.0</jedis.version>
        <!--slf4j-log4j12依赖版本-->
        <slf4j-log4j12.version>2.0.0-alpha5</slf4j-log4j12.version>
        <!--ojdbc6依赖版本-->
        <ojdbc6.version>11.2.0.3</ojdbc6.version>
        <!--mybatis-spring依赖版本-->
        <mybatis-spring.version>1.3.0</mybatis-spring.version>
        <!--mybatis依赖版本-->
        <mybatis.version>3.3.0</mybatis.version>
        <!--通用mapper依赖版本-->
        <mapper.version>3.4.0</mapper.version>
        <!--阿里连接池druid依赖版本-->
        <druid.version>1.2.4</druid.version>
        <!--junit依赖版本-->
        <junit.version>4.12</junit.version>
        <!--spring-test依赖版本-->
        <spring-test.version>4.3.4.RELEASE</spring-test.version>
        <!--jackson依赖版本-->
        <jackson-databind.version>2.9.8</jackson-databind.version>
        <!--jsp相关以依赖版本-->
        <jstl.version>1.2</jstl.version>
        <servlet-api.version>2.4</servlet-api.version>
        <jsp-api.version>2.0</jsp-api.version>
        <!--验证码服务依赖版本-->
        <kaptcha.version>2.3.2</kaptcha.version>
        <json-lib.version>2.4</json-lib.version>
        <aspectjweaver.version>1.7.1</aspectjweaver.version>
        <!--jna调用C依赖版本-->
        <jna.version>3.0.9</jna.version>
        <!--kafaka依赖版本-->
        <kafka_2.12.version>1.1.0</kafka_2.12.version>
        <!-- versions -->
        <poi.version>3.11</poi.version>
        <xerces.version>2.11.0</xerces.version>
        <jcifs.version>1.3.17</jcifs.version>
        <!--httpClient依赖版本-->
        <httpClient.version>4.4.1</httpClient.version>
        <mariadb-java-client.version>2.4.0</mariadb-java-client.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- spring用到的包 *********start********* -->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-web</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-core</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-context</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-beans</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-context-support</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-jdbc</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-webmvc</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-tx</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <!-- spring用到的包 *********end********** -->
            <!--commons 必备*********start********** -->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${commons-lang3.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
            <!--commons 必备*********end********** -->
            <!--shiro依赖*********start********* -->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-core</artifactId>
                <version>${shiro-all.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-spring</artifactId>
                <version>${shiro-all.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-web</artifactId>
                <version>${shiro-all.version}</version>
            </dependency>
            <!--shiro依赖*********end********* -->
            <!--redis客户端引入*****start***** -->
            <dependency>
                <groupId>redis.clients</groupId>
                <artifactId>jedis</artifactId>
                <version>${jedis.version}</version>
            </dependency>
            <!--redis客户端引入*****end***** -->
            <!-- 日志配置 *********start********** -->
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-log4j12</artifactId>
                <version>${slf4j-log4j12.version}</version>
            </dependency>
            <!-- 日志配置 *********end********** -->
            <dependency>
                <groupId>org.mariadb.jdbc</groupId>
                <artifactId>mariadb-java-client</artifactId>
                <version>${mariadb-java-client.version}</version>
            </dependency>

            <!--oracle的驱动*********start********* -->
            <dependency>
                <groupId>com.oracle</groupId>
                <artifactId>ojdbc6</artifactId>
                <version>${ojdbc6.version}</version>
            </dependency>
            <!--oracle的驱动*********end********** -->
            <!-- mybatis用到的包 *********start********** -->
            <dependency>
                <groupId>org.mybatis</groupId>
                <artifactId>mybatis-spring</artifactId>
                <version>${mybatis-spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mybatis</groupId>
                <artifactId>mybatis</artifactId>
                <version>${mybatis.version}</version>
            </dependency>
            <!-- mybatis用到的包 *********end********** -->
            <!--引入通用mapper******start******** -->
            <dependency>
                <groupId>tk.mybatis</groupId>
                <artifactId>mapper</artifactId>
                <version>${mapper.version}</version>
            </dependency>
            <!--引入通用mapper******end******* -->
            <!--引入链接池的依赖*******start********* -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <!--引入链接池的依赖*******end********* -->
            <!--测试*******start********* -->
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-test</artifactId>
                <version>${spring-test.version}</version>
            </dependency>
            <!--测试*******end********* -->
            <!-- Jackson Json处理工具包*******start********* -->
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>${jackson-databind.version}</version>
            </dependency>
            <!-- Jackson Json处理工具包*******end********* -->
            <!-- JSP相关*******start********* -->
            <dependency>
                <groupId>jstl</groupId>
                <artifactId>jstl</artifactId>
                <version>${jstl.version}</version>
            </dependency>
            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>servlet-api</artifactId>
                <version>${servlet-api.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>jsp-api</artifactId>
                <version>${jsp-api.version}</version>
                <scope>provided</scope>
            </dependency>
            <!-- JSP相关*******end********* -->

            <!-- 验证码服务 -->
            <dependency>
                <groupId>com.github.penggle</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <dependency>
                <groupId>net.sf.json-lib</groupId>
                <artifactId>json-lib</artifactId>
                <version>${json-lib.version}</version>
                <classifier>jdk15</classifier>
            </dependency>

            <dependency>
                <groupId>org.aspectj</groupId>
                <artifactId>aspectjweaver</artifactId>
                <version>${aspectjweaver.version}</version>
            </dependency>


            <!-- 使用JNA调用C Lib库 -->
            <dependency>
                <groupId>com.sun.jna</groupId>
                <artifactId>jna</artifactId>
                <version>${jna.version}</version>
            </dependency>

            <!-- Java调用Kafka -->
            <!-- https://mvnrepository.com/artifact/org.apache.kafka/kafka_2.11 -->
            <dependency>
                <groupId>org.apache.kafka</groupId>
                <artifactId>kafka_2.12</artifactId>
                <version>${kafka_2.12.version}</version>
            </dependency>


            <!-- POI -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
                <scope>compile</scope>
                <optional>true</optional>
            </dependency>
            <dependency>
                <groupId>xerces</groupId>
                <artifactId>xercesImpl</artifactId>
                <version>${xerces.version}</version>
                <scope>compile</scope>
                <optional>true</optional>
            </dependency>

            <!-- 数据源配置c3p0*********start********** -->
            <!-- <dependency> <groupId>com.mchange</groupId> <artifactId>c3p0</artifactId>
                <version>0.9.5.2</version> </dependency> -->
            <!-- 数据源配置c3p0*********end********** -->
            <!--mysql驱动*********start********** -->
            <!-- <dependency> <groupId>mysql</groupId> <artifactId>mysql-connector-java</artifactId>
                <version>6.0.4</version> </dependency> -->
            <!--mysql驱动*********end********** -->
            <!-- fastJosn *********start********** -->
            <!-- <dependency> -->
            <!-- <groupId>com.alibaba</groupId> -->
            <!-- <artifactId>fastjson</artifactId> -->
            <!-- <version>1.2.4</version> -->
            <!-- </dependency> -->
            <!-- fastJosn *********end********** -->
            <dependency>
                <groupId>jcifs</groupId>
                <artifactId>jcifs</artifactId>
                <version>${jcifs.version}</version>
            </dependency>
            <dependency>
                <groupId>javax</groupId>
                <artifactId>javaee-api</artifactId>
                <version>${javaee-api.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>${httpClient.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpcore</artifactId>
                <version>${httpClient.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <build>
        <pluginManagement>
            <plugins>
                <!--编译文件指定jdk-->
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>2.3.2</version>
                    <configuration>
                        <source>1.8</source>
                        <target>1.8</target>
                        <encoding>UTF-8</encoding>
                        <compilerArguments>
                            <verbose />
                            <bootclasspath>C:\JAVA\jdk\jre\lib\rt.jar;C:\JAVA\jre\lib\jce.jar</bootclasspath>
                        </compilerArguments>
                    </configuration>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>2.14.1</version>
                    <configuration>
                        <skipTests>true</skipTests>
                    </configuration>
                </plugin>
                <!--maven跑tomcat插件-->
                <plugin>
                    <groupId>org.apache.tomcat.maven</groupId>
                    <artifactId>tomcat7-maven-plugin</artifactId>
                    <configuration>
                        <port>8080</port>
                        <path>/</path>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <defaultGoal>install</defaultGoal>
    </build>

</project>
